Package org.eclipse.emf.cdo.common.branch

## Interface CDOBranchChangedEvent

- All Superinterfaces:
    `CDOBranchProvider`, `org.eclipse.net4j.util.event.IEvent`
  All Known Subinterfaces:
    `CDOBranchCreatedEvent`

      public interface CDOBranchChangedEvent
      extends org.eclipse.net4j.util.event.IEvent, CDOBranchProvider

  An `event` fired from a `branch manager` when a new `branch` has been created.
  Since:
    4.3
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOBranchChangedEvent.ChangeKind` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranch` | `getBranch()` |
    `CDOBranchChangedEvent.ChangeKind` | `getChangeKind()` |
    `CDOBranchManager` | `getSource()` |

- - ### Method Detail

    - #### getSource

          CDOBranchManager getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### getBranch

          CDOBranch getBranch()

      Specified by:
        `getBranch` in interface `CDOBranchProvider`

    - #### getChangeKind

          CDOBranchChangedEvent.ChangeKind getChangeKind()